Name:           aqemu
Version:        0.8.2
Release:        %mkrel 1
Summary:        GUI to QEMU and KVM emulators, written in Qt4
Summary(de):    GUI für QEMU und KVM-Emulatoren, in Qt4 geschrieben
Group:          Emulators
License:        GPLv2
URL:            http://aqemu.sourceforge.net
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildRequires: 	cmake
BuildRequires: 	%{_lib}qt4-devel
BuildRequires:  desktop-file-utils 
Requires: 	qemu

%description
AQEMU is GUI to QEMU and KVM emulators, written in Qt4. 
The program have user-friendly interface and allows to 
set up the majority of QEMU and KVM options. 

%description -l de
AQEMU ist GUI für Emulatoren QEMU und KVM, in Qt4 geschrieben. 
Das Programm hat ein benutzerfreundliches Interface und erlaubt 
die volljährige Einrichtung  der QEMU und KVM Optionen.

%prep
%setup -q -n %{name}-%{version}

%build
cmake -DCMAKE_INSTALL_PREFIX=/usr/ -DWITHOUT_EMBEDDED_DISPLAY=on
make
%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT/

mkdir -p %{buildroot}%{_datadir}/applications
rm -Rf %{buildroot}%{_datadir}/applications/%{name}.desktop
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop  <<EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=AQEMU
Comment=Virtual machine manager
Comment[de]=Virtual-Maschinen Manager
Exec=%{name}
Icon=%{name}_48x48.png
Terminal=false
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(755,root,root)
%{_docdir}/%{name}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.bz2
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/*.qm
%{_datadir}/%{name}/*.rcc
%{_datadir}/%{name}/os_icons/*.png
%{_datadir}/%{name}/aqemu_links.html
%{_datadir}/%{name}/os_templates/*.aqvmt
%{_datadir}/pixmaps/*.png


%changelog
* Wed Sep 04 2013 Agent Smith <ruidobranco@yahoo.com.br> 0.8.2-1pclos2013
- Added dependency of libqt4-devel, for both archs(32/64), updated the package with the latest source.

* Sat Jul 17 2010 maik3531 <maik3531 at yahoo.de> 0.8.0-1pclos2010
- build for PCLinuxOS

